Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxInformation

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TaxInformationImpl

Deprecated

    @Deprecated
    public interface TaxInformation

extends Belonging

A Tax Information class is used to report the taxes totals for each entity. total is the sum of all children taxlineresult.tax Attribute: total This is the total tax for the order or the line item.

- Containment: By Value
- Multiplicity: 1:1

Attribute: entityTax

- Containment: By Value
- Multiplicity: 0:N
- Interface: java.util.Collection

See Also
  `TaxInformationHome`, `TaxInformationImpl`

Method Summary
`boolean` | `addEntityTax(TaxLineResult element)` Deprecated Ensures that this collection contains the specified element (optional operation).
`boolean` | `addEntityTaxCollection(Collection collection)` Deprecated Adds all of the elements in the specified collection to this collection (optional operation).
`void` | `clearEntityTaxCollection()` Deprecated Removes all of the elements from this collection (optional operation).
`boolean` | `containsEntityTax(TaxLineResult element)` Deprecated Returns true if this collection contains the specified element.
`boolean` | `containsEntityTaxCollection(Collection c)` Deprecated Returns true if this collection contains all of the elements in the specified collection.
`int` | `entityTaxCollectionHashCode()` Deprecated Returns the hash code value for this collection.
`Iterator` | `entityTaxCollectionIterator()` Deprecated Returns an iterator over the elements in this collection.
`int` | `entityTaxCollectionSize()` Deprecated Returns the number of elements in this collection.
`boolean` | `equalsEntityTaxCollection(Object object)` Deprecated Compares the specified object with this collection for equality.
`Collection` | `getEntityTaxCollection()` Deprecated Returns the entire collection
`Price` | `getTotal()` Deprecated Get the value of total
`boolean` | `isEntityTaxCollectionEmpty()` Deprecated Returns true if this collection contains no elements.
`boolean` | `removeEntityTax(TaxLineResult element)` Deprecated Removes a single instance of the specified element from this collection, if it is present (optional operation).
`boolean` | `removeEntityTaxCollection(Collection collection)` Deprecated Removes all this collection's elements that are also contained in the specified collection (optional operation).
`boolean` | `retainEntityTaxCollection(Collection collection)` Deprecated Retains only the elements in this collection that are contained in the specified collection (optional operation).
`void` | `setEntityTaxCollection(Collection collection)` Deprecated Sets the entire collection
`void` | `setTotal(Price total)` Deprecated Set the value of total

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getTotal

    Price getTotal()

  Deprecated
  Get the value of total

  Returns
    total.

### setTotal

    void setTotal(Price total)

  Deprecated
  Set the value of total

  Parameters
    `total` - total to be added

### getEntityTaxCollection

    Collection getEntityTaxCollection()

  Deprecated
  Returns the entire collection

### setEntityTaxCollection

    void setEntityTaxCollection(Collection collection)

  Deprecated
  Sets the entire collection

### addEntityTax

    boolean addEntityTax(TaxLineResult element)

  Deprecated
  Ensures that this collection contains the specified element (optional operation).

### addEntityTaxCollection

    boolean addEntityTaxCollection(Collection collection)

  Deprecated
  Adds all of the elements in the specified collection to this collection (optional operation).

### clearEntityTaxCollection

    void clearEntityTaxCollection()

  Deprecated
  Removes all of the elements from this collection (optional operation).

### containsEntityTax

    boolean containsEntityTax(TaxLineResult element)

  Deprecated
  Returns true if this collection contains the specified element.

### containsEntityTaxCollection

    boolean containsEntityTaxCollection(Collection c)

  Deprecated
  Returns true if this collection contains all of the elements in the specified collection.

### equalsEntityTaxCollection

    boolean equalsEntityTaxCollection(Object object)

  Deprecated
  Compares the specified object with this collection for equality.

### entityTaxCollectionHashCode

    int entityTaxCollectionHashCode()

  Deprecated
  Returns the hash code value for this collection.

### isEntityTaxCollectionEmpty

    boolean isEntityTaxCollectionEmpty()

  Deprecated
  Returns true if this collection contains no elements.

### entityTaxCollectionIterator

    Iterator entityTaxCollectionIterator()

  Deprecated
  Returns an iterator over the elements in this collection.

### removeEntityTax

    boolean removeEntityTax(TaxLineResult element)

  Deprecated
  Removes a single instance of the specified element from this collection, if it is present (optional operation).

### removeEntityTaxCollection

    boolean removeEntityTaxCollection(Collection collection)

  Deprecated
  Removes all this collection's elements that are also contained in the specified collection (optional operation).

### retainEntityTaxCollection

    boolean retainEntityTaxCollection(Collection collection)

  Deprecated
  Retains only the elements in this collection that are contained in the specified collection (optional operation).

### entityTaxCollectionSize

    int entityTaxCollectionSize()

  Deprecated
  Returns the number of elements in this collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.